libzypp 17.38.15

StrMatcher.h File Reference
`#include <iosfwd>`
`#include <string>`
`#include <zypp-core/base/PtrTypes.h>`
`#include <zypp-core/base/Exception.h>`

Go to the source code of this file.

## Classes
class | zypp::Match
| String matching option flags as used e.g. More...
class | zypp::MatchException
| Exceptions thrown from attribute matching. More...
class | zypp::MatchUnknownModeException
| Unknown match mode. More...
class | zypp::MatchInvalidRegexException
| Invalid regular expression (failed ::regcomp). More...
class | zypp::StrMatcher
| String matching (STRING|SUBSTRING|GLOB|REGEX). More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Functions
bool | zypp::operator== (const Match &lhs, const Match &rhs)
| relates: Match
bool | zypp::operator!= (const Match &lhs, const Match &rhs)
| relates: Match
Match | zypp::operator| (const Match &lhs, const Match &rhs)
| relates: Match
Match | zypp::operator| (Match::Mode lhs, Match::Mode rhs)
Match | zypp::operator- (const Match &lhs, const Match &rhs)
| relates: Match
Match | zypp::operator- (Match::Mode lhs, Match::Mode rhs)
std::ostream & | zypp::operator<< (std::ostream &str, Match::Mode obj) ZYPP_API
| relates: Match::Mode Stream output
std::ostream & | zypp::operator<< (std::ostream &str, const Match &obj) ZYPP_API
| relates: Match Stream output
std::ostream & | zypp::operator<< (std::ostream &str, const StrMatcher &obj)
| relates: StrMatcher Stream output
bool | zypp::operator== (const StrMatcher &lhs, const StrMatcher &rhs)
| relates: StrMatcher
bool | zypp::operator!= (const StrMatcher &lhs, const StrMatcher &rhs)
| relates: StrMatcher
bool | zypp::operator< (const StrMatcher &lhs, const StrMatcher &rhs)
| relates: StrMatcher Arbitrary order for std::container.